#ifndef _ZSTREAM_H
#define _ZSTREAM_H
#include <zlib.h>

int zstream_deflate_init(z_stream *strm, int level, int method, int windowBits, int memLevel, int strategy);
int zstream_deflate(z_stream *strm, int flush);
int zstream_deflate_end(z_stream *strm);
void zstream_set_in_buf(z_stream *strm, void *buf, unsigned int len);
void zstream_set_out_buf(z_stream *strm, void *buf, unsigned int len);
unsigned int zstream_avail_in(z_stream *strm);
unsigned int zstream_avail_out(z_stream *strm);
int zstream_inflate_init(z_stream *strm, int windowBits);
int zstream_inflate(z_stream *strm, int flush);
void zstream_inflate_end(z_stream *strm);
z_stream* zstream_alloc();
void zstream_free(z_stream *strm);

#endif
